(* ------------------------------------------------------ *)
(*                    OUT_SHAD.PAS                        *)
(*      Outline und Shadow fr Grafik-Schriften           *)
(*       (c) 1992 Frank Schimmel & DMV-Verlag             *)
(* ------------------------------------------------------ *)
PROGRAM Outline_Shadow;

USES Dos, Crt, Graph;

VAR
  f, d, m : INTEGER;
  c       : CHAR;

  PROCEDURE Shadow(x, y, f : INTEGER; s : STRING);
  CONST
    i = 2;
  VAR
    c : WORD;
  BEGIN
    c := GetColor;
    SetColor(f);
    OutTextXY(x+i, y+i, s);
    SetColor(c);
    OutTextXY(x, y, s);
  END;

  PROCEDURE OutLine(x, y : INTEGER; s : STRING);
  CONST
    i = 1;
  VAR
    c : WORD;
  BEGIN
    c:=getcolor;
    OutTextXY(x-i, y, s);
    OutTextXY(x-i, y-i, s);
    OutTextXY(x, y-i, s);
    OutTextXY(x+i, y-i, s);
    OutTextXY(x+i, y, s);
    OutTextXY(x+i, y+i, s);
    OutTextXY(x, y+i, s);
    OutTextXY(x-i, y+i, s);
    SetColor(getbkcolor);
    OutTextXY(x, y, s);
    SetColor(c);
  END;

  PROCEDURE Ausgabe(i : INTEGER);
  BEGIN
    OutLine(30, 10+i*80, 'Outline');
    Shadow(260, 10+i*80, 4, 'Shadow');
    OutTextXY(500, 10+i*80, 'Normal');
  END;

BEGIN
  D := Detect;
    (* SET BGIPATH=<Pfad zum BGI-Verzeichnis> *)
  InitGraph(D, M, GetEnv('BGIPATH'));
  IF GraphResult <> grOk THEN Halt(1);
  ClearDevice;
  SetTextStyle(0, 0, 1);
  Ausgabe(0);
  FOR f := 1 TO 4 DO BEGIN
    SetTextStyle(f, 0, 4);
    Ausgabe(f);
  END;
  c := ReadKey;
  CloseGraph;
END.
(* ------------------------------------------------------ *)
(*              Ende von OUT_SHAD.PAS                     *)
